from typing import Literal
from playwright.sync_api import  Page



class Auth:
    url: str = None
    def __init__(self,  page: Page):
        pass
    def run_test(self):
        if self.url is None:
            raise Exception("Необходимо указать url страницы")
        self.page.goto(self.url)


class Object:
    def __init__(self, locator: str):
        self.locator = locator


class InputObject(Object):
    def __init__(self, locator: str, type: Literal["login", "password", "email"]):
        super().__init__(locator)
        self.locator = locator
        self.type = type


class Input(InputObject):
    ...

class Button(Object):
    ...

class Link(Object):
    ...



